Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class ColorSpace<TDataObject extends PdfDirectObject>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.ColorSpace<TDataObject>

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  CIEBasedColorSpace, DeviceColorSpace, ICCBasedColorSpace, SpecialColorSpace

    public abstract class ColorSpace<TDataObject extends PdfDirectObject>

extends PdfObjectWrapper<TDataObject>

Color space [PDF:1.6:4.5].

Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `ColorSpace(Document context, TDataObject baseDataObject)`
`protected` | `ColorSpace(PdfDirectObject baseObject)`

Method Summary
`abstract Color<?>` | `getColor(List<PdfDirectObject> components, IContentContext context)` Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].
`abstract int` | `getComponentCount()` Gets the number of components used to represent a color value.
`abstract Color<?>` | `getDefaultColor()` Gets the initial color value within this color space.
`abstract Paint` | `getPaint(Color<?> color)` Gets the rendering representation of the specified color value.
`static ColorSpace<?>` | `wrap(PdfDirectObject baseObject)` Wraps the specified color space base object into a color space object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSpace

    protected ColorSpace(Document context,
                         TDataObject baseDataObject)

### ColorSpace

    protected ColorSpace(PdfDirectObject baseObject)

Method Detail

### wrap

    public static ColorSpace<?> wrap(PdfDirectObject baseObject)

  Wraps the specified color space base object into a color space object.

  Parameters:
    `baseObject` - Base object of a color space object.
  Returns:
    Color space object corresponding to the base object.

### getColor

    public abstract Color<?> getColor(List<PdfDirectObject> components,
                                      IContentContext context)

  Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].

  Parameters:
    `components` - Color components.
    `context` - Content context.
  Since:
    0.1.0

### getComponentCount

    public abstract int getComponentCount()

  Gets the number of components used to represent a color value.

### getDefaultColor

    public abstract Color<?> getDefaultColor()

  Gets the initial color value within this color space.

### getPaint

    public abstract Paint getPaint(Color<?> color)

  Gets the rendering representation of the specified color value.

  Parameters:
    `color` - Color value to convert into an equivalent rendering representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.